<?php
namespace cool_team\HW3_Underwriters\src\views;

class LandingPageView{
    private $policy_types;
    private $popular_policies;
    private $policy_type_counts;

    private function policyTypeFormatter($pType){
        if(array_key_exists($pType,$this->policy_type_counts) and $this->policy_type_counts[$pType] > 0){
            return "<a href=\"./index.php?c=displayPolicyType&policy_type=$pType\">$pType</a>";
        }
        else{
            return "<a href=\"./index.php?c=displayPolicyType&policy_type=$pType\">$pType</a>\t
            [<a href=\"./index.php?c=deletePolicyType&policy_type=$pType\">Delete -</a>]";
        }
    }
    private function popularPolicyFormatter($policy){
        return "<a href=\"./index.php?c=displayPolicyPage&policy_name=$policy\">$policy</a>";
    }

    function __construct($popular_policies,$policy_types, $policy_type_counts)
    {
        $this->policy_types = $policy_types;
        $this->popular_policies = $popular_policies;
        $this->policy_type_counts = $policy_type_counts;
    }

    function render(){
        ?>
        <div class="page">
            <?php
        require_once('src/views/layouts/header.php');
        ?>
    </h1>
    <div class="table">
        <table>
            <tr><th><h2>Policy Type</h2></th>
            <th><h2>Popular Policies</h2></th></tr>
            <div class="inner-table">
            <tr>
                <td>
                    <ul>
                        <li>
                            <a href="./index.php?c=displayPolicyTypeForm">[New Policy Type]</a>
                        </li>
                        <?php 
                            for($i = 0; $i < count($this->policy_types); $i++){
                                ?> <li>
                                <?php echo $this->policyTypeFormatter($this->policy_types[$i]);
                                ?> </li> <?php
                            }
                        ?>
                    </ul>
                </td>
                <td>
                    <ul>
                        <?php 
                            for($i = 0; $i < count($this->popular_policies); $i++){
                                ?> <li>
                                <?php echo $this->popularPolicyFormatter($this->popular_policies[$i]);
                                ?> </li> <?php
                            }
                        ?>
                        </ul>
                </td>
            </tr>
            </div>
        </table>
    </div>
    </div>
    <?php
    }
}